from enum import Enum

from pykit.cls import Static


class FileExtension(Enum):
    """
    Here listed all supported by this library extensions to work with.
    """
    Python = "py"
    JS = "js"
    TS = "ts"


class FileExtensionUtils(Static):
    _HeaderByFileExtensions: dict[str, str] = {
        "py":
"""\"""
Do not modify, auto-generated by {author}
\"""
""",
        "js,ts":
"""/**
* Do not modify, auto-generated by {author}
*/
""",
    }
    """
    File extensions are delivered in a comma-separated list.
    """

    @staticmethod
    def get(extension: FileExtension, author: str) -> str:
        for raw_extensions, header \
                in FileExtensionUtils._HeaderByFileExtensions.items():
            splitted_raw_extensions = raw_extensions.split(",")
            if extension.value in splitted_raw_extensions:
                return header.format(author=author)

        raise ValueError(f"header not found for extension {extension}")
